package types

import (
	"wartank/pkg/alias"
)

// ИБотоФерма -- словарь серверных ботов
type ИБотоФерма interface {
	// Get -- возвращает бота по его имени
	Get(botNumber alias.БотНомер) ИБот
	// BotStart -- запускает бота в работу
	BotStart(botNumber alias.БотНомер) error
	// ListBot -- возвращает список ботов
	ListBot() []ИБот
	// НовБот -- добавляет нового бота на бото-ферму
	НовБот(login, password string, еслиАвто bool) error
}
